classification
Title: ssl module version 1.10 causes TypeError when accepting connection
Type: crash Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: janssen Nosy List: complex, gvanrossum, janssen
Priority: normal Keywords:

Created on 2007-11-11 02:31 by complex, last changed 2007-11-13 16:22 by janssen. This issue is now closed.

Messages (5)
msg57364 - (view) Author: Viktor Ferenczi (complex) Date: 2007-11-11 02:31
The SSLSocket.accept() method passes arguments to SSLSocket's
constructor in wrong order which causes TypeError later in the
constructor. Proposed patch to ssl.__init__.py:

@@ -257,7 +257,7 @@
         SSL channel, and the address of the remote client."""

         newsock, addr = socket.accept(self)
-        return (SSLSocket(newsock, True, self.keyfile, self.certfile,
+        return (SSLSocket(newsock, self.keyfile, self.certfile, True,
                           self.cert_reqs, self.ssl_version,
                           self.ca_certs, self.do_handshake_on_connect),
addr)
msg57379 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-11-11 20:55
Good catch.  I found this in the 3K branch, but hadn't backported it to 
the SSL PyPI module yet.
msg57380 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-11-11 21:30
I've uploaded a fixed ssl-1.12 to PyPI.
msg57409 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-12 17:30
BTW Bill, how's the 3.0 port of SSL going?
msg57458 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-11-13 16:22
About the same as two weeks ago...  I have a functional patch, or
rather, I have a patch that would work if the issues with socket
closing are resolved the way I suggested :-).  I've been waiting to
see what's going to happen with the socket module.

Bill

On 11/12/07, Guido van Rossum <report@bugs.python.org> wrote:
>
> Guido van Rossum added the comment:
>
> BTW Bill, how's the 3.0 port of SSL going?
>
> ----------
> nosy: +gvanrossum
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1419>
> __________________________________
>
History
Date User Action Args
2007-11-13 16:22:51janssensetmessages: + msg57458
2007-11-12 17:30:28gvanrossumsetnosy: + gvanrossum
messages: + msg57409
2007-11-11 21:30:00janssensetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg57380
2007-11-11 20:55:23janssensetresolution: accepted
messages: + msg57379
2007-11-11 15:38:24georg.brandlsetassignee: janssen
nosy: + janssen
2007-11-11 02:31:59complexcreate